package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepEwalletAccountBillsQryRequest;

/**
 * @author nxj
 * @date 2024/1/16 14:51
 * @description 账管家V2.0-账单分页查询DEMO
 */
public class V2LaepEwalletAccountBillsQryRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepEwalletAccountBillsQryRequest req = new V2LaepEwalletAccountBillsQryRequest();
        req.setOrgNo("100012");
        req.setBmcpNo("1");
        req.setAcctNo("02001012000000008481");
        req.setCustNo("82229005943096V");
        req.setPayType("01");
        req.setAmntcd("+");
        req.setBillSq("663321182762102784");
        req.setOutTransSq("");
        req.setSid("");
        req.setLklOrderNo("");
        req.setStartDate("2022-12-30");
        req.setEndDate("2023-01-05");
        req.setPage(1);
        req.setSize(10);

        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }
}
